migrate 0.7.2-6ubuntu0.1 source package in Ubuntu

Changelog

migrate (0.7.2-6ubuntu0.1) saucy-proposed; urgency=medium

  * Fixup compatibility with PostgreSQL 9 and SQLAlchemy >= 0.8
    (LP: #1261563):
    - d/p/postgresql-0.8-compat.patch: Cherry picked fixed from Fedora.
 -- James Page <email address hidden>   Thu, 16 Jan 2014 09:28:52 +0000

Upload details

Uploaded by:
James Page on 2014-01-16
Uploaded to:
Saucy
Original maintainer:
Ubuntu Developers
Component:
main
Architectures:
all
Section:
python
Urgency:
Medium Urgency

See full publishing history Publishing

Series Pocket Published Component Section
Saucy proposed on 2014-01-16 main python

Builds

Saucy: [FULLYBUILT] i386

Downloads

File Size MD5 Checksum
migrate_0.7.2.orig.tar.gz 103.4 KiB 10382fda16f056491e671b5307dd6713
migrate_0.7.2-6ubuntu0.1.debian.tar.gz 9.8 KiB 921eeedfd4609c674e7a0f818b462a54
migrate_0.7.2-6ubuntu0.1.dsc 2.2 KiB d284cf66dc6a6646e29ab826c4e677d2

View changes file

Binary packages built by this source

python-migrate: Database schema migration for SQLAlchemy

 Inspired by Ruby on Rails' migrations, migrate provides a way to deal
 with database schema changes in SQLAlchemy projects.
 .
 SQLAlchemy-migrate is build on top of SQLAlchemy and provides a changeset
 and a versioning API for database schemas as well as a script utilizing
 these APIs. The database change sets are managed in a file based
 repository allowing upgrades and downgrades of database schema versions.
 The change sets may consist of Python code facilitating the changeset API
 or SQL scripts.
 .
 SQLAlchemy-migrate has support for MySQL, PostgreSQL, SQLite and Oracle
 databases. The support for Oracle is not as well tested as the support for
 the other database systems.